### Interface

# GdkPopup

#### Description [src]

    interface Gdk.Popup : Gdk.Surface

A `GdkPopup` is a surface that is attached to another surface.

The `GdkPopup` is positioned relative to its parent surface.

`GdkPopup`s are typically used to implement menus and similar popups. They can be modal, which is indicated by the `GdkPopup:autohide` property.

#### Prerequisite

In order to implement Popup, your type must inherit from`GdkSurface`.

#### Instance methods

###### gdk_popup_get_autohide

Returns whether this popup is set to hide on outside clicks.

###### gdk_popup_get_parent

Returns the parent surface of a popup.

###### gdk_popup_get_position_x

Obtains the position of the popup relative to its parent.

###### gdk_popup_get_position_y

Obtains the position of the popup relative to its parent.

###### gdk_popup_get_rect_anchor

Gets the current popup rectangle anchor.

###### gdk_popup_get_surface_anchor

Gets the current popup surface anchor.

###### gdk_popup_present

Present `popup` after having processed the `GdkPopupLayout` rules.

#### Properties

###### Gdk.Popup:autohide

Whether to hide on outside clicks.

###### Gdk.Popup:parent

The parent surface.

#### Interface structure

    struct GdkPopupInterface {
      /* no available fields */
    }

No description available.